IReportGroupVisitor (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.report
Interface IReportGroupVisitor

All Known Subinterfaces:
  IReportVisitor

All Known Implementing Classes:
  MultiReportVisitor

    public interface IReportGroupVisitor

Output-Interface for hierarchical report structures. To allow sequential processing and save memory the group structure has to be traversed in a "deep first" fashion. The interface is implemented by the report formatters and can be used to emit coverage report structures. The following constraints apply in using `IReportGroupVisitor` instances:

- A visitor instance can be used to either submit bundles ( `visitBundle(IBundleCoverage, ISourceFileLocator)`) or groups `visitGroup(String)`). Bundles and groups are not allowed for the same visitor.
- When creating nested groups with `visitGroup(String)` the hierarchy has to be processed in a "deep first" manner.

Method Summary
`void` | `visitBundle(IBundleCoverage bundle, ISourceFileLocator locator)` Called to add a bundle to the the report.
`IReportGroupVisitor` | `visitGroup(String name)` Called to add a new group to the report.

Method Detail

### visitBundle

    void visitBundle(IBundleCoverage bundle,
                     ISourceFileLocator locator)
                     throws IOException

  Called to add a bundle to the the report.

  Parameters:
    `bundle` - a bundle to include in the report
    `locator` - source locator for this bundle
  Throws:
    `IOException` - in case of IO problems with the report writer

### visitGroup

    IReportGroupVisitor visitGroup(String name)
                                   throws IOException

  Called to add a new group to the report. The returned `IReportGroupVisitor` instance can be used to add nested bundles or groups. The content of the group has to be completed before this or any parent visitor can be used again ("deep first").

  Parameters:
    `name` - name of the group
  Returns:
    visitor for the group's content
  Throws:
    `IOException` - in case of IO problems with the report writer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.